Suggestion for Libre Office PPA

16 views
Skip to first unread message

r52m...@gmail.com

unread,
Jul 17, 2020, 4:40:10 AM7/17/20
to Errors in Easylinuxtipsproject
I was experiencing a problem with Calc version 6.0.7 (graphics would not place correctly in large spreadsheet), checked your advice re 'Configure it Right' about PPA for 6.4.x, checked Libre Office website, saw there was 'Fresh' (v 6.4.5) and 'Still' (v 6.3.6) branches, decided to try PPA 6.3.x as safer and all good now, thanks.

Re-reading your advice, in the Note you recommend against installing the 'Fresh' PPA, however according to Libre Office the 'Fresh' branch is 6.4.x!
Did you acutally intend to recommend the 'Still' branch, currently 6.3.x, via that PPA?
Or have I got something wrong?

A shame the PPAs are not labelled 'Fresh' and 'Still' - it would all be so much simpler and when 'Still' moves to 6.4.x it would just happen.
I gather instead that we would need to manually update the PPA.

Thanks again for your great website and advice.
Ray M

Beheerder Computertip

unread,
Jul 17, 2020, 6:32:09 AM7/17/20
to errors-in-easyl...@googlegroups.com
The LO devs have created a bit of confusion here, by applying the term "fresh" too freely....

The PPA that I recommend is this one:
ppa:libreoffice/libreoffice-6-4

It contains LO 6.4, but will never make the jump to any higher major version number (e.g. 6.5). At the moment it contains the "fresh" version, but after the release of 6.5, version 6.4 will lose its "fresh" status.

The contents of that PPA are *currently* identical to the contents of this one:
ppa:libreoffice/ppa

This PPA *will* automatically give you 6.5 when it's being released. Which might be disruptive, which is why I don't recommend it.

Regards, Pjotr.

Op vrijdag 17 juli 2020 10:40:10 UTC+2 schreef :

r52m...@gmail.com

unread,
Jul 18, 2020, 10:05:19 AM7/18/20
to Errors in Easylinuxtipsproject

Hi Pjotr,
Thanks for your reply.
The info I found is here: https://www.libreoffice.org/download/release-notes/
I should have included that previously.
It says that 6.3.6 is "stable" which influenced me to try the 6.3.x PPA.
This would seem to also imply that they do not consider 6.4.x (in this case 6.4.5) as stable.
Regards,
Ray M

Beheerder Computertip

unread,
Jul 18, 2020, 10:16:44 AM7/18/20
to Errors in Easylinuxtipsproject
Stable.... I feel inclined to say: what's in a name? Ubuntu 20.04 LTS and Linux Mint 20 contain LO 6.4 by default (6.4.3.2, to be exact).

The Ubuntu devs wouldn't have selected that version, if they thought that it would be unstable *in any practical sense*. Particularly not for an LTS version like Ubuntu 20.04, which is aimed at the corporate market segment.  :)

Op zaterdag 18 juli 2020 16:05:19 UTC+2 schreef:

r52m...@gmail.com

unread,
Jul 21, 2020, 5:44:23 PM7/21/20
to Errors in Easylinuxtipsproject
Yes, all too true.
Maybe the horse has bolted! (An English expression for something escaping - not sure if it is universal - and a play on 'stable' where horses are kept.) :)
I was curious about LM20 and Ubuntu 20.04 LTS. (So far I have resisted the urge to upgrade from LM19.3.)
Surprised that they would go to LO 6.4.x while LM19 and I assume 18.04 LTS are languishing on LO 6.0.7 !!
Many thanks again.
Regards,
Ray M
Reply all
Reply to author
Forward
0 new messages